## usb-modeswitch-data 20140529

=== debian/changelog ===
usb-modeswitch-data (20140529-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0408:f001] SpeedUp SU-8500U
     [04cc:226e] Nexperia TM TD-SCDMA
     [04cc:226f] Nexperia TM TD-SCDMA (Variant)
     [04fc:2140] Sunplus Techn. SU-3200U
     [0b3c:f00c] Olivetti Olicard 500
     [0b3c:f017] Olivetti Olicard 160
     [0bdb:190d] Ericsson F5521gw
     [0bdb:1910] Ericsson F5521gw (Variant)
     [0fce:d0df] Sony Ericsson EC400
     [1410:5055] Novatel MiFi 4082
     [19d2:1232] ZTE MFxxx
     [1c9e:9101] Emobile D21LC (Variant)
     [1c9e:9401] Emobile D21LC
     [1c9e:9d00] Prolink PCM100
     [2020:f00f] SpeedUp SU-8000U
     [23a2:1010] Titan 3.5G
    - Substantial change in handling of Huawei devices
    - Generic udev rule and additional generic configuration files
      (as fallback for unknown models or as OS-specific catch-all)

  * Bump Recommends/Breaks against usb-modeswitch to 2.2.0
  * Update VCS-* fields to canonical forms

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 11:19:43 +0200

## usb-modeswitch-data 20150115

=== debian/changelog ===
usb-modeswitch-data (20150115-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0408:1000] Quanta MU-Q101
     [04cc:2251] Alcatel-Lucent ABS-T920
     [1614:0800] Amoi H-01
     [1614:0802] Amoi H-02
     [19d2:0413] Telewell TW-LTE 4G
     [19d2:1038] ZTE / Vodafone K4607-Z
     [19d2:1237] ZTE / Vodafone K4201
     [19d2:1420] ZTE MF730
     [19d2:1588] ZTE MF710M Variants
     [1bbb:022c] Alcatel X602D
     [1c9e:6000] TU930, IVIO IV-2010u
     [1d09:1000] TechFaith BSNL Capitel
     [1d09:1021] Aiko 81D
     [1d09:1025] TechFaith FlyingLARK46
     [1dbc:0669] Wisue W340
     [1ee8:0003] Onda MV815U
     [1ee8:0018] Onda MO835UP
     [1ee8:0045] Onda MDC655
     [1ee8:004f] Onda MDC655 Variant
     [2001:00a6] D-Link DWM-157 B1
     [2001:98ff] D-Link DWM-221
     [2001:a403] D-Link DWM-156 A8
     [2001:a405] D-Link DWM-167 A1
     [20a6:f00e] Intex 3.5G
     [20b9:1682] Tlaytech TEU800
     [21f5:3010] StrongRising STD808
     [2262:0001] Viettel VT100
     [230d:0003] Linktop LW272/LW273 (BSNL Teracom)
     [230d:000b] Zoom 3G
     [230d:000d] Intex Speed 3G v7.2
     [257a:*000] Unknown devices
     [ed09:1021] Aiko 81D, fw with wrong vendor ID
   - many minor corrections and additions to existing configurations

 -- Didier Raboud <odyx@debian.org>  Tue, 14 Apr 2015 08:02:35 +0200

=== debian/control ===
Source: usb-modeswitch-data
Section: comm
Priority: extra
Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9), tcl
Standards-Version: 3.9.5
Homepage: http://www.draisberghof.de/usb_modeswitch/
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch-data.git

Package: usb-modeswitch-data
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: usb-modeswitch (>= 2.2.0), udev (>= 0.140)
Breaks: usb-modeswitch (<< 2.2.0)
Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
Conflicts: usb-modeswitch-data-packed
Provides: usb-modeswitch-data-packed
Description: mode switching data for usb-modeswitch
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the commands data needed for usb-modeswitch.

## usb-modeswitch-data 20150627

=== debian/changelog ===
usb-modeswitch-data (20150627-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [0922:1003] Dymo LabelManager 420P
     [10a9:606f] Pantech/Verizon UML295
     [1782:0003] Spreadtrum SC7702
     [19d2:0388] ZTE MF90 Mobile Hotspot
     [2001:a401] D-Link DWM-221 B1
    (Closes: #786825)
  * Bump Recommends/Breaks against usb-modeswitch to 2.2.2
  * Bump Standards-Version to 3.9.6 without changes needed
  * Add gbp.conf for dch and import-orig

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Jun 2015 19:37:23 +0200

## usb-modeswitch-data 20151101

=== debian/changelog ===
usb-modeswitch-data (20151101-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [12d1:1573] Huawei ME909u-521
     [1410:9020] Novatel U620L
     [1410:9022] Novatel U620L
     [19d2:0198] ZTE MF820s, MF832s
     [19d2:1580] ZTE MF195E
     [12d1:1597] Huawei E327s-150 (Variant)
     [12d1:15ce] Huawei E3531s-2, E3131 (Variant)
     [12d1:15d0] Huawei E3131 (Variant)
     [12d1:15d2] Huawei E3531 (Variant)
    - Small correction of Makefile for reproducibility (Closes: #803603)

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Nov 2015 08:10:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), tcl
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch-data.git
@@ -12,8 +12,8 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: usb-modeswitch (>= 2.2.0), udev (>= 0.140)
-Breaks: usb-modeswitch (<< 2.2.0)
+Recommends: usb-modeswitch (>= 2.2.2), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 2.2.2)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

# Install in debian/tmp, to pick things with dh_install
# Pack the rules for usb-modeswitch-data
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/ -- db-install-packed

=== debian/watch ===
version=3

http://www.draisberghof.de/usb_modeswitch/ usb-modeswitch-data-([\d]*)\.tar\.bz2

## usb-modeswitch-data 20160612

=== debian/changelog ===
usb-modeswitch-data (20160612-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [046d:c261] Logitech G920 Racing Wheel
     [05c6:98ff] U901 (LTE modem)
     [12d1:15c1] Huawei ME906, ME909
     [1bbb:025e] Yota 4G LTE W8
     [2001:a406] D-Link DWM-221
     [2001:a407] D-Link DWM-157 C1
     [2001:a40a] D-Link DWM-156 A8 (Myanmar)
     [2001:a40d] D-Link DWR-910
    × Devices updates
     [05c6:f000] Siptune LM-75 ("LinuxModem"), EWangshikong 4G
     [10a9:6080] Pantech LTE Modem
     [12d1:1573] Huawei ME909u-521
     [12d1:1f1e] Vodafone / Huawei K5160
     [19d2:1595] ZTE MF710 (Vietnam) a.o.
     [2001:a401] D-Link DWM-221 B1
    - "NoDriverLoading" parameter removed from all configs, with respect to
      removed feature in usb-modeswitch 2.4.0
    - Requires usb-modeswitch version >= 2.4.0 due to appended StandardEject
      sequence (affects D-Link devices)

  * Bump Recommends/Breaks against usb-modeswitch to 2.4.0
  * Bump S-V to 3.9.8 without changes needed
  * Use the https alternative in VCS-Browser
  * Update gbp.conf to avoid forgetting the pristine-tar
  * Bump debhelper compat to 9

 -- Didier Raboud <odyx@debian.org>  Mon, 13 Jun 2016 09:30:29 +0200

usb-modeswitch-data (20160112-3) unstable; urgency=medium

  [ intrigeri ]
  * Updates patches for reproducibility (Closes: #826343):
    - 02_pack_config_reproducibly.patch: update to make the sort order
      independent of the build locale
    - Create 40-usb_modeswitch.rules reproducibly

 -- Didier Raboud <odyx@debian.org>  Sun, 05 Jun 2016 15:26:39 +0200

usb-modeswitch-data (20160112-2) unstable; urgency=medium

  * Add patch to add a --sort=name option to the tar call, for reproducibility
  * Bump Standards-Version to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Mar 2016 20:42:29 +0100

usb-modeswitch-data (20160112-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [07d1:f000] D-Link DWM-151 A1
     [0922:1007] Dymo LabelManager Wireless PnP
     [1199:9011] Sierra MC8305
     [1199:9013] Sierra MC8355
     [1199:9017] Sierra MC8355 Variant
     [1199:901b] Sierra MC7770
     [1199:901c] Sierra EM7700
     [1199:901f] Sierra EM7355
     [1199:9041] Sierra EM7305
     [1199:9051] Sierra AC340U
     [1199:9053] Sierra AC770S
     [1199:9063] Sierra EM7305
     [19d2:1595] ZTE MF710 (Vietnam)
     [1c9e:9bfe] XS Stick W100 (Omega)
     [1ee8:0007] Onda POM1051
     [1ee8:0048] Onda MT655
     [20a6:f00a] BM WM78
    × Devices updates
     [0408:1000] Quanta MU-Q101
     [12d1:101e] Huawei U7510 / U7517
     [1410:9020] Novatel U620L
     [2001:a401] D-Link DWM-221 B1
    - All Option configs updated with new OptionMode parameter from
      usb-modeswitch 2.3.0
  * Bump Recommends/Breaks against usb-modeswitch to 2.3.0
  * Update gbp.conf

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Jan 2016 13:05:19 +0100

## usb-modeswitch-data 20160803

=== Makefile ===
PROG        = usb-modeswitch-data
VERS        = 20160803
RM          = /bin/rm -f
PREFIX      = $(DESTDIR)/usr
ETCDIR      = $(DESTDIR)/etc
RULESDIR    = $(DESTDIR)/lib/udev/rules.d


.PHONY:     clean

all: 40-usb_modeswitch.rules

clean:
	$(RM) 40-usb_modeswitch.rules

install: all files-install db-install

install-packed: files-install db-install-packed

files-install: 
	install -d $(PREFIX)/share/usb_modeswitch
	install -d $(ETCDIR)/usb_modeswitch.d
	install -D --mode=644 40-usb_modeswitch.rules $(RULESDIR)/40-usb_modeswitch.rules

40-usb_modeswitch.rules:
	./gen-rules.tcl

db-install: files-install
	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./usb_modeswitch.d/*

db-install-packed:
	@# Create a compressed tar without gzip timestamp, so tar.gz
	@# differs only if content is different
	cd ./usb_modeswitch.d; find * -print0 | LC_ALL=C sort -z | tar --no-recursion --null --files-from=- --mode=go=rX,u+rw,a-s -cf ../configPack.tar
	gzip -f9n ./configPack.tar
	install --mode=644 -t $(PREFIX)/share/usb_modeswitch ./configPack.tar.gz
	rm -f ./configPack.tar.gz

uninstall: files-uninstall

files-uninstall:
	$(RM) $(RULESDIR)/40-usb_modeswitch.rules
	$(RM) -R $(PREFIX)/share/usb_modeswitch

.PHONY:    clean install uninstall

=== debian/changelog ===
usb-modeswitch-data (20160803-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Wed, 17 Aug 2016 16:50:01 -0700

usb-modeswitch-data (20160803-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [03f0:521d] HP hs3110
     [03f0:531d] HP hs3120
     [03f0:541d] HP hs3114
     [03f0:581d] HP hs4112
     [03f0:631d] HP lt4225
     [03f0:641d] HP lt4226
     [03f0:681d] HP lt4227
     [03f0:911d] HP lt4211
     [03f0:931d] HP lt4110
     [03f0:9a1d] HP lt4114
     [1004:610c] LG L-02A
     [12d1:1527] Vodafone / Huawei R206 Router
     [12d1:1570] Huawei ME906E
     [12d1:1571] Huawei EM820W
     [12d1:1572] Huawei MU733
     [12d1:1580] Vodafone / Huawei R210 Router
     [12d1:1581] Vodafone / Huawei R208 Router
     [12d1:15bb] Huawei ME936
     [12d1:15c0] Huawei ME906C
     [12d1:15f0] Huawei MU736
     [12d1:1c25] Huawei MU709s-2 Module
     [12d1:1f04] Vodafone / Huawei R206_MR Router
     [12d1:1f05] Vodafone / Huawei R207 Router
     [12d1:1f06] Vodafone / Huawei R215_MR Router
     [16d5:f000] Anydata ADU-890WH
     [1726:1900] Axesstel MV210
     [1782:0023] Spreadtrum SC7702 (Variant)
     [19d2:1019] Vodafone / ZTE R203 Router
     [19d2:1020] Vodafone / ZTE R203 Router
     [19d2:1022] Vodafone / ZTE K4201-z
     [19d2:1026] Vodafone / ZTE R212 Router
     [19d2:1034] Vodafone / ZTE R206-z Router
     [19d2:1042] Vodafone / ZTE R209-z Router
     [19d2:1046] ZTE MF730
     [1c9e:f010] Micromax MMX400R / 4G Systems XSBOXGO
     [2001:7600] D-Link DWM-157 C1
     [2015:0001] Venus VT-18
     [230d:000c] Zoom 3G
     [6000:1000] BlueLink BL-EV08C
    × Devices updates
     [0408:f000] MU-Q110
     [0408:f000:uMa=Yota] Yota Router (Quanta 1QDLZZZ0ST2)
     [057c:62ff] AVM Fritz!Wlan USB Stick N v2
     [057c:84ff] AVM Fritz!Wlan USB Stick N
     [05c6:1000:uMa=CELOT] Celot K-300 a.o.
     [07d1:a800] D-Link DWM-156 HSUPA 3.75G a.o.
     [1004:6190] LG AD600
     [12d1:1c0b] Huawei E173s
     [2020:f00e] SpeedUp SU-8000 and others
     [2077:f000] Telenet 3G dongle (T&W WU160), Netgear AC327U and others
     [22f4:0021] Tata Photon+, Olive VME102
    - Removed devices (handled by kernel)
     [0bdb:190d] Ericsson F5521gw
     [0bdb:1910] Ericsson F5521gw (Variant)
  
  * Packaging: 
    - Drop patch to avoid udev reload during build, integrated upstream
    - Drop patches to build reproducibly, all integrated upstream

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Aug 2016 14:44:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), tcl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch-data.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch-data.git
 
 Package: usb-modeswitch-data
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: usb-modeswitch (>= 2.2.2), udev (>= 0.140)
-Breaks: usb-modeswitch (<< 2.2.2)
+Recommends: usb-modeswitch (>= 2.4.0), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 2.4.0)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20160803-1.is.really.20151101

=== debian/changelog ===
usb-modeswitch-data (20160803-1.is.really.20151101-1ubuntu1) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * Revert to previous Ubuntu version, the new version would require merging 
    usb-modeswitch 2.4.0 from Debian. Please sync again when merging the 
    newest usb-modeswitch.

  [ Didier Raboud ]
  * New upstream release
    + New devices
     [12d1:1573] Huawei ME909u-521
     [1410:9020] Novatel U620L
     [1410:9022] Novatel U620L
     [19d2:0198] ZTE MF820s, MF832s
     [19d2:1580] ZTE MF195E
     [12d1:1597] Huawei E327s-150 (Variant)
     [12d1:15ce] Huawei E3531s-2, E3131 (Variant)
     [12d1:15d0] Huawei E3131 (Variant)
     [12d1:15d2] Huawei E3531 (Variant)
    - Small correction of Makefile for reproducibility (Closes: #803603)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 08 Aug 2016 16:51:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), tcl
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch-data.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch-data.git
 
 Package: usb-modeswitch-data
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: usb-modeswitch (>= 2.4.0), udev (>= 0.140)
-Breaks: usb-modeswitch (<< 2.4.0)
+Recommends: usb-modeswitch (>= 2.2.2), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 2.2.2)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20170120

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20160803
+VERS        = 20170120
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc

=== debian/changelog ===
usb-modeswitch-data (20170120-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Feb 2017 19:10:16 +0100

usb-modeswitch-data (20170120-1) unstable; urgency=medium

  * New upstream release
    + New devices
     [03f0:032a] HP LaserJet Professional P1102w
     [03f0:9d1d] HP lt4120
     [0586:2030] ZyXel WAH1004/WAH3004
     [148f:2878] RaLink MT7601U
     [19d2:0033] ZTE MF636DB
     [19d2:0090] ZTE MU330
     [2001:7600] D-Link DWP-157 C1
     [2001:a809] D-Link DWM-157 A1
     [2001:ab00] D-Link DWM-222
     [22de:6802] WeTelecom WM-D200A
    × Devices updates
     [1004:6190] LG AD600
     [19d2:1595] ZTE MF710 (Vietnam)
     [22de:6803] WeTelecom WM-D300

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Jan 2017 08:14:11 +0100

usb-modeswitch-data (20160612-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Jul 2016 10:13:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: usb-modeswitch-data
 Section: comm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), tcl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/usb-modeswitch-data.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch-data.git
 
 Package: usb-modeswitch-data
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Recommends: usb-modeswitch (>= 2.2.2), udev (>= 0.140)
-Breaks: usb-modeswitch (<< 2.2.2)
+Recommends: usb-modeswitch (>= 2.4.0), udev (>= 0.140)
+Breaks: usb-modeswitch (<< 2.4.0)
 Replaces: usb-modeswitch (<< 1.0.7-1), usb-modeswitch-data-packed
 Conflicts: usb-modeswitch-data-packed
 Provides: usb-modeswitch-data-packed

## usb-modeswitch-data 20170806

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = usb-modeswitch-data
-VERS        = 20170120
+VERS        = 20170806
 RM          = /bin/rm -f
 PREFIX      = $(DESTDIR)/usr
 ETCDIR      = $(DESTDIR)/etc

=== debian/changelog ===
usb-modeswitch-data (20170806-1) unstable; urgency=medium

  * New upstream version 20170806
    + New devices
     [03f0:371d] HP un2430
     [03f0:4b1d] HP hs2434,
     [03f0:4e1d] HP lt4111
     [03f0:a31d] HP lt4132
     [0846:0fff] Netgear AirCard 779S
     [12d1:15ec] Vodafone/Huawei K5150
    × Devices updates
     [0922:1003] Dymo LabelManager 420P
     [0922:1007] Dymo LabelManager Wireless PnP
     [1199:0fff] Sierra devices
    - Removed devices
     [1004:61aa] LG VL600
  * Bump S-V to 4.1.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Aug 2017 09:58:48 +0200

usb-modeswitch-data (20170205-2) unstable; urgency=medium

  * Migrate 20170205 to unstable
  * Bump Standards-Version to 4.0.0 without changes needed
  * Migrate to debhelper compat 10
  * Add lintian override for udev-rule-missing-subsystem false-positive
  * Drop all postinst code managing versions before the current
    oldoldstable (wheezy, 20120815-2)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Jul 2017 08:44:54 +0200

usb-modeswitch-data (20170205-1) experimental; urgency=medium

  * Bugfix release:
    - Removed all catch-all fallback config files as they can affect unrelated
      devices (fixes https://bugzilla.redhat.com/show_bug.cgi?id=1374913)

 -- Didier Raboud <odyx@debian.org>  Sat, 22 Apr 2017 14:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: comm
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 9), tcl
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10.2.5~), tcl
+Standards-Version: 4.1.0
 Homepage: http://www.draisberghof.de/usb_modeswitch/
 Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/usb-modeswitch-data.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/usb-modeswitch-data.git

## usb-modeswitch-data 20191128

=== debian/changelog ===
usb-modeswitch-data (20191128-7) unstable; urgency=medium

  * No source change upload to rebuild arch:all package for /usr-move
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 May 2024 19:10:00 +0200

usb-modeswitch-data (20191128-6) unstable; urgency=medium

  * debian/rules: Let dh_installudev install udev rules.
                  (Closes: #1058824)
                  Thanks to Chris Hofstaedtler for the patch
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/watch: use version=4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 16 Dec 2023 22:51:02 +0100

usb-modeswitch-data (20191128-5) unstable; urgency=medium

  * adopt package (Closes: #993779)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Apr 2022 20:51:02 +0200

usb-modeswitch-data (20191128-4) unstable; urgency=medium

  * Orphan package

  [ Didier Raboud ]
  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Add Salsa CI configuration
  * Bump debhelper compat to 13

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Update standards version to 4.5.0, no changes needed
  * Remove 1 unused lintian overrides

 -- Didier Raboud <odyx@debian.org>  Mon, 06 Sep 2021 12:51:02 +0200

usb-modeswitch-data (20191128-3) unstable; urgency=medium

  * Fix pre-source build clean by skipping upstream's clean target
    (Closes: #952276)

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Feb 2020 19:53:02 +0100

usb-modeswitch-data (20191128-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Make the build reproducible (Closes: #946330)

 -- Didier Raboud <odyx@debian.org>  Sun, 08 Dec 2019 15:02:35 +0100

usb-modeswitch-data (20191128-1) unstable; urgency=medium

  * New upstream version 20191128
    + New devices
     [03f0:0857] HP lt4220 NGFF Card
     [03f0:371d] HP un2430
     [03f0:4b1d] HP hs2434
     [03f0:4e1d] HP lt4111
     [03f0:a31d] HP lt4132
     [0846:0fff] Netgear AirCard 779S
     [0bda:1a2b] D-Link DWA-171 Wifi Dongle
     [0e8d:2870] COMFAST CF-WU782AC WiFi Dongle
     [1410:9030] Novatel USB730L
     [1410:b00c] Novatel MiFi 6620L
     [15eb:a403] Abit AK-020
     [161c:f010] KuWfi 4g LTE
     [19d2:1421] ZTE MF833V, Telewell TW-LTE v2
     [1c9e:3003] 4G System XS W21s
     [1c9e:f030] JioFi JMR1040
     [2001:ac01] D-Link DWM-222 A2
     [2020:2030] Telewell TW-LTE, Olicard 600, Digisol BG-BA4305
     [2357:0600] TP-Link UE300
     [2fd4:9aff] 4G Systems W1208
     [413c:81a2] Dell DW5806
     [413c:81a3] Dell DW5570
     [413c:81a4] Dell DW5570e
     [413c:81a8] Dell DW5808
     [413c:81b1] Dell DW5809e
     [413c:81b3] Dell DW5809e
     [413c:81d7] Dell DW5821e
     [413c:81e0] Dell DW5821e-eSIM

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Didier Raboud ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Bump S-V to 4.4.1 without changes needed
  * Set Rules-Requires-Root to no

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Dec 2019 18:15:47 +0100

usb-modeswitch-data (20170806-2) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:56:43 +0100

=== debian/control ===
Source: usb-modeswitch-data
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Section: comm
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 tcl,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/usb-modeswitch-data
Vcs-Git: https://salsa.debian.org/debian/usb-modeswitch-data.git
Homepage: https://www.draisberghof.de/usb_modeswitch/
Rules-Requires-Root: no

Package: usb-modeswitch-data
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 udev,
 usb-modeswitch (>= 2.4.0),
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 usb-modeswitch (<< 2.4.0),
Conflicts:
 usb-modeswitch-data-packed,
Provides:
 usb-modeswitch-data-packed,
Replaces:
 usb-modeswitch-data-packed,
Description: mode switching data for usb-modeswitch
 Several new USB devices have their proprietary Windows drivers onboard,
 especially WAN dongles. When plugged in for the first time, they act
 like a flash storage and start installing the driver from there. If
 the driver is already installed, the storage device vanishes and
 a new device, such as an USB modem, shows up. This is called the
 "ZeroCD" feature.
 .
 On Debian, this is not needed, since the driver is included as a
 Linux kernel module, such as "usbserial". However, the device still
 shows up as "usb-storage" by default. usb-modeswitch solves that
 issue by sending the command which actually performs the switching
 of the device from "usb-storage" to "usbserial".
 .
 This package contains the commands data needed for usb-modeswitch.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	# Don't run upstream's clean, as it puts the tree in a state different from tarball
	rm -f debian/usb-modeswitch-data.usb_modeswitch.udev

# Install in debian/tmp, to pick things with dh_install
# Pack the rules for usb-modeswitch-data
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp/ -- db-install-packed
	# Let dh_installudev install the udev rule.
	mv debian/tmp/lib/udev/rules.d/40-usb_modeswitch.rules debian/usb-modeswitch-data.usb_modeswitch.udev

override_dh_installudev:
	dh_installudev --priority=40 --name=usb_modeswitch

=== debian/watch ===
version=4

http://www.draisberghof.de/usb_modeswitch/ usb-modeswitch-data-([\d]*)\.tar\.bz2
